# Exiv2::TagInfo Struct Reference

Tag information. More...

`#include <tags.hpp>`

List of all members.

## Public Member Functions

| TagInfo (uint16_t tag, const char *name, const char *title, const char *desc, IfdId ifdId, SectionId sectionId, TypeId typeId, PrintFct printFct)
| Constructor.

## Public Attributes

uint16_t | tag_
| Tag.
const char * | name_
| One word tag label.
const char * | title_
| Tag title.
const char * | desc_
| Short tag description.
IfdId | ifdId_
| Link to the (prefered) IFD.
SectionId | sectionId_
| Section id.
TypeId | typeId_
| Type id.
PrintFct | printFct_
| Pointer to tag print function.

## Detailed Description

Tag information.

The documentation for this struct was generated from the following files:

- tags.hpp
- tags.cpp